cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Reinhard Poetz <reinh...@apache.org>
Subject Re: forms block does not compile for java 1.3
Date Thu, 29 Sep 2005 06:20:59 GMT
Ralph Goers wrote:
> 
> 
> Reinhard Poetz wrote:
> 
>> Antonio Gallardo wrote:
>>
>> yes, as discussed twenty times or so, we can't change the minimum JDK 
>> version for 2.1.x as it's only a patch level release. As 2.1.8 will be 
>> our last 2.1.X release, the days of JDK1.3 and the PITA of maintaining 
>> two branches are counted though :-)
>>
> I don't share your optimism that 2.1.8 will be the last 2.1 release. 
> Realistically, we need to create a 2.2 branch that is stable (most 
> likely, this just means not bringing in the OSGi stuff) and then release 
> a couple of versions before it can really be called stable and we can 
> move on from 2.1.  If we go back to the "release often" philosophy then 
> I would expect at least a 2.1.9 release at the end of the year at the 
> same time as a second or third 2.2 release.

The question is, who is more optimistic as we then have to prove that we can 
release in (much, much) shorter periods ;-)

Speaking so, I have of course no problem with shorter release cylces as 
discussed many times. Hopefully some of us find the necessary time for it.

-- 
Reinhard Pötz           Independent Consultant, Trainer & (IT)-Coach 

{Software Engineering, Open Source, Web Applications, Apache Cocoon}

                                        web(log): http://www.poetz.cc
--------------------------------------------------------------------

Mime
View raw message